Java (SDK)
package hello.world;
import java.lang.Exception;
import org.openapis.openapi.AriesJava;
import org.openapis.openapi.models.errors.ErrorResponse;
import org.openapis.openapi.models.operations.GetSettingsResponse;
public class Application {
public static void main(String[] args) throws ErrorResponse, Exception {
AriesJava sdk = AriesJava.builder()
.bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
.build();
GetSettingsResponse res = sdk.settings().getAll()
.category("feature-flags")
.call();
if (res.object().isPresent()) {
// handle response
}
}
}curl --request GET \
--url https://api.tradearies.dev/v1/config/{category}/settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tradearies.dev/v1/config/{category}/settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tradearies.dev/v1/config/{category}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"new_ui_enabled": true,
"beta_features": false,
"maintenance_mode": false
}{
"error": "Setting not found",
"codes": [
{
"code": "SETTING_NOT_FOUND",
"description": "Setting not found"
}
]
}Settings
Get Settings
Get all global settings for a specific category.
Requires bearer token authentication
GET
/
v1
/
config
/
{category}
/
settings
Java (SDK)
package hello.world;
import java.lang.Exception;
import org.openapis.openapi.AriesJava;
import org.openapis.openapi.models.errors.ErrorResponse;
import org.openapis.openapi.models.operations.GetSettingsResponse;
public class Application {
public static void main(String[] args) throws ErrorResponse, Exception {
AriesJava sdk = AriesJava.builder()
.bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
.build();
GetSettingsResponse res = sdk.settings().getAll()
.category("feature-flags")
.call();
if (res.object().isPresent()) {
// handle response
}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Category of the setting (e.g., 'display', 'trading', 'notifications')
Response
Global settings retrieved successfully
The response is of type object.
Was this page helpful?
⌘I